Subject: bug#42612: 28.0.50; Eshell: support setting working buffer like IELM

From: Eli Zaretskii <[email-masked]>
Date: Thu, 30 Jul 2020 20:06:36 +0300

> From: Sean Whitton <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 30 Jul 2020 09:49:15 -0700
> 
> In IELM you can type C-c C-b and select a buffer, and then when you eval
> further sexps in *ielm*, it will be as if you used M-: with that other
> buffer selected.  Useful for debugging a major or minor mode.
> 
> In Eshell the closest thing you can do is wrap your sexps in a
> (with-current-buffer) form, or use (progn (set-buffer ...) ...), which
> is less convenient.

Eshell is a shell.  What is the semantics of running a shell in a
buffer?  The only semantics I can think of is to run the shell in the
default-directory of that buffer.